std::is_error_condition_enum(3)

NAME
std::is_error_condition_enum - std::is_error_condition_enum

Synopsis
   Defined in header <system_error>
   template<> (since C++11)
   struct is_error_condition_enum<std::errc> : std::true_type;
   Specifies that std::errc is an error condition enum. This enables implicit
   conversion to std::error_condition.

Member constants
   value true
   [static] (public static member constant)

Member functions
   operator bool converts the object to bool, returns value
                 (public member function)
   operator() returns value
   (C++14) (public member function)

Member types
   Type Definition
   value_type bool
   type std::integral_constant<bool, value>

See also
   is_error_condition_enum identifies an enumeration as an std::error_condition
   (C++11) (class template)